---
- name: Create directory for script
  ansible.builtin.file:
    path: /opt/nexus
    state: directory
    mode: "0755"
    owner: root
    group: root

- name: Copy Nexus Sync script to target
  ansible.builtin.copy:
    src: "{{ nexus_sync_script }}"
    dest: /opt/nexus/nexus_sync.py
    mode: "0755"
    owner: root
    group: root
  notify: Restart service

- name: Create systemd service file
  ansible.builtin.template:
    src: "{{ nexus_sync_service }}"
    dest: /etc/systemd/system/nexus_sync.service
    mode: "0644"
    owner: root
    group: root
  vars:
    service_name: nexus_sync
    script_path: /opt/nexus/nexus_sync.py
    user: root
  notify: Restart service

- name: Enable and start the service
  ansible.builtin.systemd:
    name: nexus_sync
    state: started
    enabled: true
    daemon_reload: true
